### Method

# Notify Notification get_activation_app_launch_context

since: 0.8.7

#### Declaration [src]

    GAppLaunchContext*
    notify_notification_get_activation_app_launch_context (
      NotifyNotification* notification
    )

#### Description [src]

Gets an application launch context for the notification action activation.

If an an action is currently being activated, gets a a `GAppLaunchContext` that can be used to launch applications using the current activation token (see `notify_notification_get_activation_token()`).

This function is intended to be used in a `NotifyActionCallback` to get the launch context for the activated action, if the notification daemon supports it.

Available since: 0.8.7

#### Return value

Type: `GAppLaunchContext`

The `GAppLaunchContext` for the current activation token, or `NULL` if unset.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.